/* 
Include CSS in HTML
 -Inline Styling
 -Internal Styling
 -External CSS (recommended)
 */


/*CSS Selectors*/
/*Universal Slector (*) - target all elements.*/

* {
	font-family: "Courier-New", monospace;
	font-size: 20px;
}

/*Type Selector (<tag name> - targets elements with the specified type/tag name*/
h1 {
	color: yellow !important;
	/*important override CSS styling*/
}

/*ID Sekector (#id)- targets elements according to its id attribute; ideally used for targeting a unique element*/
#zuitt-motto {
	letter-spacing: 5px;
}

/*Class Selector (.class-name) - targets elements according to its class attributes;
ideally used for multiple elements at once.*/
.offering-item {
	text-transform: uppercase;
}
/*Attribute Selector (tagname[attribute])- target elements with a specified element attribute;
use to target elements with a certain attribute*/
input[required] {
	border-width: 2px;
	border-style: solid;
	border-color: blue;
}

/*Adjacent Sibling Selector*/
h3 + img {
	height: 300px;
	width: 300px;
	border-radius: 150px;
}

/*Descendant Selector*/
#bootcamp-learning-list li{
	color: #075966;
}
/*Gneral Sibling Selector*/
h2 ~ a {
	text-decoration: none;
}



/*CSS Selector Combinators*/
/*Descendant Selector (white space) - matches all elements that are descendants of a specified elements*/
/*div p{
	background-color: red;
}*/

/*#parent p {
	background-color: red;
}*/

/*Child Selector (>)*/
/*select all elements that are direct childeren of a specified element*/

/*div > p{
	background-color: red;
}*/

/*#parent > p {
	background-color: red;
}

/*General Sibling Selector (~)*/
/*select all elements that are*/

/*p ~ p {
	background-color: red;
}*/

/*p ~ section {
	background-color: red;
}*/

/*Adjacent Sibling (+) - select an element that is directly afther another specific element */

/*p + p {
	background-color: red;
}*/

div + p {
	background-color: red;
}